"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
;/* empty css                                               */
;/* empty css                                                */
;/* empty css                                               */
;/* empty css                                                         */
;/* empty css                                                   */
const Vue = require("vue");
const index = require("../../../../node_modules/vant/es/checkbox/index.js");
const _sfc_main = {
  __name: "Checkbox",
  props: {
    label: {
      type: String,
      default: "复选项"
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_van_checkbox = index.Checkbox;
      return Vue.openBlock(), Vue.createBlock(_component_van_checkbox, Vue.mergeProps(_ctx.$attrs, { shape: "square" }), {
        default: Vue.withCtx(() => [
          Vue.createTextVNode(Vue.toDisplayString(__props.label), 1)
        ]),
        _: 1
      }, 16);
    };
  }
};
exports.default = _sfc_main;
